From: Nils Goroll <nils.goroll@uplex.de>
Date: Mon, 13 Sep 2021 22:31:43 +0200
Subject: Adjust to varnish-cache api changes

---
 src/vmod_re2.c | 2 +-
 src/vmod_re2.h | 3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)

diff --git a/src/vmod_re2.c b/src/vmod_re2.c
index fa80d06..b555269 100644
--- a/src/vmod_re2.c
+++ b/src/vmod_re2.c
@@ -96,7 +96,7 @@ match(VRT_CTX, vre2 * restrict vre2, VCL_STRING restrict subject,
 	snap = WS_Snapshot(ctx->ws);
 	if (!never_capture) {
 		ngroups++;
-		if (!WS_Inside(ctx->ws, subject, subject + len + 1))
+		if (!WS_Allocated(ctx->ws, subject, len + 1))
 			if ((text = WS_Copy(ctx->ws, subject, len + 1))
 			    == NULL) {
 				VERRNOMEM(ctx, ERR_PREFIX "copying subject",
diff --git a/src/vmod_re2.h b/src/vmod_re2.h
index be18182..5de4973 100644
--- a/src/vmod_re2.h
+++ b/src/vmod_re2.h
@@ -59,5 +59,8 @@ struct vmod_re2_regex {
 	unsigned	never_capture;
 };
 
+#define WS_Assert_Allocated(ws, ptr, len) \
+    AN(WS_Allocated(ws, ptr, len))
+
 /* Defined in vmod_re2.c */
 extern const char * const rewrite_name[];
